!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1088)
  integer, parameter :: nGC_3139 = 1
  integer, parameter :: nGC_3138 = 2
  integer, parameter :: nGC_3131 = 3
  integer, parameter :: nGC_3188 = 4
  integer, parameter :: nGC_3189 = 5
  integer, parameter :: nGC_3606 = 6
  integer, parameter :: nGC_MZ_GF = 7
  integer, parameter :: nGC_28 = 8
  integer, parameter :: nGC_29 = 9
  integer, parameter :: nGC_22 = 10
  integer, parameter :: nGC_23 = 11
  integer, parameter :: nGC_20 = 12
  integer, parameter :: nGC_21 = 13
  integer, parameter :: nGC_26 = 14
  integer, parameter :: nGC_27 = 15
  integer, parameter :: nGC_24 = 16
  integer, parameter :: nGC_25 = 17
  integer, parameter :: nGC_GG = 18
  integer, parameter :: nGC_3618 = 19
  integer, parameter :: nGC_3619 = 20
  integer, parameter :: nGC_3612 = 21
  integer, parameter :: nGC_3613 = 22
  integer, parameter :: nGC_3610 = 23
  integer, parameter :: nGC_3611 = 24
  integer, parameter :: nGC_3616 = 25
  integer, parameter :: nGC_3617 = 26
  integer, parameter :: nGC_3614 = 27
  integer, parameter :: nGC_3615 = 28
  integer, parameter :: nGC_3079 = 29
  integer, parameter :: nGC_MMW_GF = 30
  integer, parameter :: nGC_76 = 31
  integer, parameter :: nGC_3182 = 32
  integer, parameter :: nGC_3183 = 33
  integer, parameter :: nGC_3181 = 34
  integer, parameter :: nGC_3186 = 35
  integer, parameter :: nGC_3187 = 36
  integer, parameter :: nGC_3184 = 37
  integer, parameter :: nGC_3185 = 38
  integer, parameter :: nGC_GGH = 39
  integer, parameter :: nGC_71 = 40
  integer, parameter :: nGC_3164 = 41
  integer, parameter :: nGC_3165 = 42
  integer, parameter :: nGC_3160 = 43
  integer, parameter :: nGC_3161 = 44
  integer, parameter :: nGC_3162 = 45
  integer, parameter :: nGC_3163 = 46
  integer, parameter :: nGC_I = 47
  integer, parameter :: nGC_232 = 48
  integer, parameter :: nGC_87 = 49
  integer, parameter :: nGC_70 = 50
  integer, parameter :: nGC_3169 = 51
  integer, parameter :: nGC_3 = 52
  integer, parameter :: nGC_1 = 53
  integer, parameter :: nGC_5 = 54
  integer, parameter :: nGC_4 = 55
  integer, parameter :: nGC_782 = 56
  integer, parameter :: nGC_9 = 57
  integer, parameter :: nGC_8 = 58
  integer, parameter :: nGC_5264 = 59
  integer, parameter :: nGC_3100 = 60
  integer, parameter :: nGC_53 = 61
  integer, parameter :: nGC_52 = 62
  integer, parameter :: nGC_51 = 63
  integer, parameter :: nGC_50 = 64
  integer, parameter :: nGC_57 = 65
  integer, parameter :: nGC_56 = 66
  integer, parameter :: nGC_55 = 67
  integer, parameter :: nGC_54 = 68
  integer, parameter :: nGC_59 = 69
  integer, parameter :: nGC_58 = 70
  integer, parameter :: nGC_3130 = 71
  integer, parameter :: nGC_3104 = 72
  integer, parameter :: nGC_3137 = 73
  integer, parameter :: nGC_MI = 74
  integer, parameter :: nGC_3136 = 75
  integer, parameter :: nGC_MC = 76
  integer, parameter :: nGC_3135 = 77
  integer, parameter :: nGC_MB = 78
  integer, parameter :: nGC_3134 = 79
  integer, parameter :: nGC_4875 = 80
  integer, parameter :: nGC_3623 = 81
  integer, parameter :: nGC_3622 = 82
  integer, parameter :: nGC_3621 = 83
  integer, parameter :: nGC_3620 = 84
  integer, parameter :: nGC_3541 = 85
  integer, parameter :: nGC_5121 = 86
  integer, parameter :: nGC_5129 = 87
  integer, parameter :: nGC_7341 = 88
  integer, parameter :: nGC_830 = 89
  integer, parameter :: nGC_4982 = 90
  integer, parameter :: nGC_3129 = 91
  integer, parameter :: nGC_3539 = 92
  integer, parameter :: nGC_3537 = 93
  integer, parameter :: nGC_3536 = 94
  integer, parameter :: nGC_3122 = 95
  integer, parameter :: nGC_4980 = 96
  integer, parameter :: nGC_3533 = 97
  integer, parameter :: nGC_3532 = 98
  integer, parameter :: nGC_3531 = 99
  integer, parameter :: nGC_3530 = 100
  integer, parameter :: nGC_3178 = 101
  integer, parameter :: nGC_5625 = 102
  integer, parameter :: nGC_MU = 103
  integer, parameter :: nGC_5626 = 104
  integer, parameter :: nGC_5629 = 105
  integer, parameter :: nGC_5628 = 106
  integer, parameter :: nGC_MT = 107
  integer, parameter :: nGC_85 = 108
  integer, parameter :: nGC_3157 = 109
  integer, parameter :: nGC_7213 = 110
  integer, parameter :: nGC_7214 = 111
  integer, parameter :: nGC_7219 = 112
  integer, parameter :: nGC_464 = 113
  integer, parameter :: nGC_3534 = 114
  integer, parameter :: nGC_3180 = 115
  integer, parameter :: nGC_17 = 116
  integer, parameter :: nGC_16 = 117
  integer, parameter :: nGC_15 = 118
  integer, parameter :: nGC_14 = 119
  integer, parameter :: nGC_13 = 120
  integer, parameter :: nGC_12 = 121
  integer, parameter :: nGC_11 = 122
  integer, parameter :: nGC_10 = 123
  integer, parameter :: nGC_19 = 124
  integer, parameter :: nGC_18 = 125
  integer, parameter :: nGC_6619 = 126
  integer, parameter :: nGC_6618 = 127
  integer, parameter :: nGC_6615 = 128
  integer, parameter :: nGC_6614 = 129
  integer, parameter :: nGC_6617 = 130
  integer, parameter :: nGC_6616 = 131
  integer, parameter :: nGC_MW_GF = 132
  integer, parameter :: nGC_40 = 133
  integer, parameter :: nGC_5875 = 134
  integer, parameter :: nGC_5877 = 135
  integer, parameter :: nGC_3167 = 136
  integer, parameter :: nGC_7268 = 137
  integer, parameter :: nGC_2 = 138
  integer, parameter :: nGC_3376 = 139
  integer, parameter :: nGC_3194 = 140
  integer, parameter :: nGC_7 = 141
  integer, parameter :: nGC_5099 = 142
  integer, parameter :: nGC_3197 = 143
  integer, parameter :: nGC_6 = 144
  integer, parameter :: nGC_5799 = 145
  integer, parameter :: nGC_5798 = 146
  integer, parameter :: nGC_6546 = 147
  integer, parameter :: nGC_7296 = 148
  integer, parameter :: nGC_3573 = 149
  integer, parameter :: nGC_636 = 150
  integer, parameter :: nGC_3570 = 151
  integer, parameter :: nGC_3574 = 152
  integer, parameter :: nGC_3476 = 153
  integer, parameter :: nGC_3477 = 154
  integer, parameter :: nGC_3475 = 155
  integer, parameter :: nGC_5052 = 156
  integer, parameter :: nGC_5053 = 157
  integer, parameter :: nGC_MH = 158
  integer, parameter :: nGC_5058 = 159
  integer, parameter :: nGC_5059 = 160
  integer, parameter :: nGC_5097 = 161
  integer, parameter :: nGC_5119 = 162
  integer, parameter :: nGC_5113 = 163
  integer, parameter :: nGC_5112 = 164
  integer, parameter :: nGC_3271 = 165
  integer, parameter :: nGC_5463 = 166
  integer, parameter :: nGC_63 = 167
  integer, parameter :: nGC_4896 = 168
  integer, parameter :: nGC_3151 = 169
  integer, parameter :: nGC_3150 = 170
  integer, parameter :: nGC_6437 = 171
  integer, parameter :: nGC_3152 = 172
  integer, parameter :: nGC_3155 = 173
  integer, parameter :: nGC_3154 = 174
  integer, parameter :: nGC_3409 = 175
  integer, parameter :: nGC_3156 = 176
  integer, parameter :: nGC_1428 = 177
  integer, parameter :: nGC_220 = 178
  integer, parameter :: nGC_HHHH = 179
  integer, parameter :: nGC_3175 = 180
  integer, parameter :: nGC_6141 = 181
  integer, parameter :: nGC_6140 = 182
  integer, parameter :: nGC_6142 = 183
  integer, parameter :: nGC_3087 = 184
  integer, parameter :: nGC_3085 = 185
  integer, parameter :: nGC_3084 = 186
  integer, parameter :: nGC_3089 = 187
  integer, parameter :: nGC_3171 = 188
  integer, parameter :: nGC_3076 = 189
  integer, parameter :: nGC_3496 = 190
  integer, parameter :: nGC_3179 = 191
  integer, parameter :: nGC_7220 = 192
  integer, parameter :: nGC_350 = 193
  integer, parameter :: nGC_3569 = 194
  integer, parameter :: nGC_570 = 195
  integer, parameter :: nGC_5500 = 196
  integer, parameter :: nGC_5277 = 197
  integer, parameter :: nGC_48 = 198
  integer, parameter :: nGC_49 = 199
  integer, parameter :: nGC_44 = 200
  integer, parameter :: nGC_45 = 201
  integer, parameter :: nGC_46 = 202
  integer, parameter :: nGC_47 = 203
  integer, parameter :: nGC_41 = 204
  integer, parameter :: nGC_42 = 205
  integer, parameter :: nGC_43 = 206
  integer, parameter :: nGC_4986 = 207
  integer, parameter :: nGC_5512 = 208
  integer, parameter :: nGC_5510 = 209
  integer, parameter :: nGC_4862 = 210
  integer, parameter :: nGC_4866 = 211
  integer, parameter :: nGC_5096 = 212
  integer, parameter :: nGC_3208 = 213
  integer, parameter :: nGC_1432 = 214
  integer, parameter :: nGC_3201 = 215
  integer, parameter :: nGC_3200 = 216
  integer, parameter :: nGC_3203 = 217
  integer, parameter :: nGC_3202 = 218
  integer, parameter :: nGC_3205 = 219
  integer, parameter :: nGC_3207 = 220
  integer, parameter :: nGC_3206 = 221
  integer, parameter :: nGC_3447 = 222
  integer, parameter :: nGC_3446 = 223
  integer, parameter :: nGC_4915 = 224
  integer, parameter :: nGC_3338 = 225
  integer, parameter :: nGC_3115 = 226
  integer, parameter :: nGC_3114 = 227
  integer, parameter :: nGC_3117 = 228
  integer, parameter :: nGC_3116 = 229
  integer, parameter :: nGC_3111 = 230
  integer, parameter :: nGC_3110 = 231
  integer, parameter :: nGC_3113 = 232
  integer, parameter :: nGC_3112 = 233
  integer, parameter :: nGC_3119 = 234
  integer, parameter :: nGC_3118 = 235
  integer, parameter :: nGC_3529 = 236
  integer, parameter :: nGC_3523 = 237
  integer, parameter :: nGC_7458 = 238
  integer, parameter :: nGC_7459 = 239
  integer, parameter :: nGC_5061 = 240
  integer, parameter :: nGC_5060 = 241
  integer, parameter :: nGC_3159 = 242
  integer, parameter :: nGC_GPGMGPGM = 243
  integer, parameter :: nGC_5637 = 244
  integer, parameter :: nGC_3572 = 245
  integer, parameter :: nGC_3571 = 246
  integer, parameter :: nGC_6547 = 247
  integer, parameter :: nGC_3297 = 248
  integer, parameter :: nGC_3069 = 249
  integer, parameter :: nGC_3068 = 250
  integer, parameter :: nGC_3593 = 251
  integer, parameter :: nGC_3595 = 252
  integer, parameter :: nGC_3594 = 253
  integer, parameter :: nGC_7338 = 254
  integer, parameter :: nGC_3520 = 255
  integer, parameter :: nGC_250 = 256
  integer, parameter :: nGC_254 = 257
  integer, parameter :: nGC_3470 = 258
  integer, parameter :: nGC_152 = 259
  integer, parameter :: nGC_3487 = 260
  integer, parameter :: nGC_5395 = 261
  integer, parameter :: nGC_5394 = 262
  integer, parameter :: nGC_4870 = 263
  integer, parameter :: nGC_5391 = 264
  integer, parameter :: nGC_5390 = 265
  integer, parameter :: nGC_MM = 266
  integer, parameter :: nGC_8053 = 267
  integer, parameter :: nGC_5502 = 268
  integer, parameter :: nGC_7270 = 269
  integer, parameter :: nGC_8054 = 270
  integer, parameter :: nGC_5843 = 271
  integer, parameter :: nGC_5842 = 272
  integer, parameter :: nGC_75 = 273
  integer, parameter :: nGC_74 = 274
  integer, parameter :: nGC_77 = 275
  integer, parameter :: nGC_73 = 276
  integer, parameter :: nGC_72 = 277
  integer, parameter :: nGC_6077 = 278
  integer, parameter :: nGC_6076 = 279
  integer, parameter :: nGC_79 = 280
  integer, parameter :: nGC_78 = 281
  integer, parameter :: nGC_HHGG = 282
  integer, parameter :: nGC_3120 = 283
  integer, parameter :: nGC_3542 = 284
  integer, parameter :: nGC_7005 = 285
  integer, parameter :: nGC_3132 = 286
  integer, parameter :: nGC_3560 = 287
  integer, parameter :: nGC_3561 = 288
  integer, parameter :: nGC_3562 = 289
  integer, parameter :: nGC_3566 = 290
  integer, parameter :: nGC_3567 = 291
  integer, parameter :: nGC_3568 = 292
  integer, parameter :: nGC_3547 = 293
  integer, parameter :: nGC_3544 = 294
  integer, parameter :: nGC_3545 = 295
  integer, parameter :: nGC_5108 = 296
  integer, parameter :: nGC_5100 = 297
  integer, parameter :: nGC_5104 = 298
  integer, parameter :: nGC_5107 = 299
  integer, parameter :: nGC_3366 = 300
  integer, parameter :: nGC_3365 = 301
  integer, parameter :: nGC_3249 = 302
  integer, parameter :: nGC_3248 = 303
  integer, parameter :: nGC_3360 = 304
  integer, parameter :: nGC_3245 = 305
  integer, parameter :: nGC_3244 = 306
  integer, parameter :: nGC_3246 = 307
  integer, parameter :: nGC_3241 = 308
  integer, parameter :: nGC_HHH = 309
  integer, parameter :: nGC_950 = 310
  integer, parameter :: nGC_MS = 311
  integer, parameter :: nGC_3247 = 312
  integer, parameter :: nGC_1434 = 313
  integer, parameter :: nGC_3148 = 314
  integer, parameter :: nGC_3149 = 315
  integer, parameter :: nGC_3146 = 316
  integer, parameter :: nGC_3147 = 317
  integer, parameter :: nGC_3144 = 318
  integer, parameter :: nGC_3145 = 319
  integer, parameter :: nGC_3142 = 320
  integer, parameter :: nGC_3143 = 321
  integer, parameter :: nGC_3140 = 322
  integer, parameter :: nGC_3141 = 323
  integer, parameter :: nGC_7304 = 324
  integer, parameter :: nGC_8878 = 325
  integer, parameter :: nGC_7301 = 326
  integer, parameter :: nGC_7302 = 327
  integer, parameter :: nGC_3090 = 328
  integer, parameter :: nGC_3091 = 329
  integer, parameter :: nGC_3092 = 330
  integer, parameter :: nGC_3093 = 331
  integer, parameter :: nGC_3094 = 332
  integer, parameter :: nGC_3095 = 333
  integer, parameter :: nGC_3096 = 334
  integer, parameter :: nGC_3097 = 335
  integer, parameter :: nGC_3098 = 336
  integer, parameter :: nGC_3099 = 337
  integer, parameter :: nGC_3125 = 338
  integer, parameter :: nGC_5077 = 339
  integer, parameter :: nGC_3340 = 340
  integer, parameter :: nGC_3086 = 341
  integer, parameter :: nGC_83 = 342
  integer, parameter :: nGC_5351 = 343
  integer, parameter :: nGC_84 = 344
  integer, parameter :: nGC_3192 = 345
  integer, parameter :: nGC_86 = 346
  integer, parameter :: nGC_MW = 347
  integer, parameter :: nGC_3220 = 348
  integer, parameter :: nGC_MZ = 349
  integer, parameter :: nGC_39 = 350
  integer, parameter :: nGC_38 = 351
  integer, parameter :: nGC_31 = 352
  integer, parameter :: nGC_30 = 353
  integer, parameter :: nGC_33 = 354
  integer, parameter :: nGC_32 = 355
  integer, parameter :: nGC_35 = 356
  integer, parameter :: nGC_34 = 357
  integer, parameter :: nGC_37 = 358
  integer, parameter :: nGC_36 = 359
  integer, parameter :: nGC_144 = 360
  integer, parameter :: nGC_3237 = 361
  integer, parameter :: nGC_5504 = 362
  integer, parameter :: nGC_5505 = 363
  integer, parameter :: nGC_5506 = 364
  integer, parameter :: nGC_148 = 365
  integer, parameter :: nGC_5501 = 366
  integer, parameter :: nGC_3166 = 367
  integer, parameter :: nGC_5503 = 368
  integer, parameter :: nGC_5810 = 369
  integer, parameter :: nGC_7041 = 370
  integer, parameter :: nGC_3557 = 371
  integer, parameter :: nGC_3609 = 372
  integer, parameter :: nGC_3608 = 373
  integer, parameter :: nGC_3357 = 374
  integer, parameter :: nGC_3353 = 375
  integer, parameter :: nGC_3596 = 376
  integer, parameter :: nGC_3153 = 377
  integer, parameter :: nGC_4925 = 378
  integer, parameter :: nGC_3322 = 379
  integer, parameter :: nGC_3326 = 380
  integer, parameter :: nGC_3324 = 381
  integer, parameter :: nGC_3102 = 382
  integer, parameter :: nGC_3103 = 383
  integer, parameter :: nGC_3452 = 384
  integer, parameter :: nGC_3453 = 385
  integer, parameter :: nGC_3106 = 386
  integer, parameter :: nGC_3107 = 387
  integer, parameter :: nGC_3456 = 388
  integer, parameter :: nGC_3105 = 389
  integer, parameter :: nGC_3458 = 390
  integer, parameter :: nGC_3459 = 391
  integer, parameter :: nGC_3108 = 392
  integer, parameter :: nGC_3408 = 393
  integer, parameter :: nGC_ME = 394
  integer, parameter :: nGC_MD = 395
  integer, parameter :: nGC_3518 = 396
  integer, parameter :: nGC_3158 = 397
  integer, parameter :: nGC_3511 = 398
  integer, parameter :: nGC_3510 = 399
  integer, parameter :: nGC_3517 = 400
  integer, parameter :: nGC_5175 = 401
  integer, parameter :: nGC_5076 = 402
  integer, parameter :: nGC_6438 = 403
  integer, parameter :: nGC_3216 = 404
  integer, parameter :: nGC_3217 = 405
  integer, parameter :: nGC_3214 = 406
  integer, parameter :: nGC_3215 = 407
  integer, parameter :: nGC_3212 = 408
  integer, parameter :: nGC_3198 = 409
  integer, parameter :: nGC_3210 = 410
  integer, parameter :: nGC_3211 = 411
  integer, parameter :: nGC_3195 = 412
  integer, parameter :: nGC_216 = 413
  integer, parameter :: nGC_3412 = 414
  integer, parameter :: nGC_3196 = 415
  integer, parameter :: nGC_3191 = 416
  integer, parameter :: nGC_3190 = 417
  integer, parameter :: nGC_3193 = 418
  integer, parameter :: nGC_3219 = 419
  integer, parameter :: nGC_3109 = 420
  integer, parameter :: nGC_3177 = 421
  integer, parameter :: nGC_3176 = 422
  integer, parameter :: nGC_7297 = 423
  integer, parameter :: nGC_3174 = 424
  integer, parameter :: nGC_3173 = 425
  integer, parameter :: nGC_3172 = 426
  integer, parameter :: nGC_3078 = 427
  integer, parameter :: nGC_3170 = 428
  integer, parameter :: nGC_3413 = 429
  integer, parameter :: nGC_3077 = 430
  integer, parameter :: nGC_3074 = 431
  integer, parameter :: nGC_3075 = 432
  integer, parameter :: nGC_3072 = 433
  integer, parameter :: nGC_3073 = 434
  integer, parameter :: nGC_3070 = 435
  integer, parameter :: nGC_3071 = 436
  integer, parameter :: nGC_3128 = 437
  integer, parameter :: nGC_3543 = 438
  integer, parameter :: nGC_3589 = 439
  integer, parameter :: nGC_3586 = 440
  integer, parameter :: nGC_3587 = 441
  integer, parameter :: nGC_3584 = 442
  integer, parameter :: nGC_3585 = 443
  integer, parameter :: nGC_3583 = 444
  integer, parameter :: nGC_3581 = 445
  integer, parameter :: nGC_3204 = 446
  integer, parameter :: nGC_3540 = 447
  integer, parameter :: nGC_5829 = 448
  integer, parameter :: nGC_5827 = 449
  integer, parameter :: nGC_MTA = 450
  integer, parameter :: nGC_5825 = 451
  integer, parameter :: nGC_3538 = 452
  integer, parameter :: nGC_3121 = 453
  integer, parameter :: nGC_3469 = 454
  integer, parameter :: nGC_3535 = 455
  integer, parameter :: nGC_3468 = 456
  integer, parameter :: nGC_4899 = 457
  integer, parameter :: nGC_3083 = 458
  integer, parameter :: nGC_3123 = 459
  integer, parameter :: nGC_3082 = 460
  integer, parameter :: nGC_3124 = 461
  integer, parameter :: nGC_5263 = 462
  integer, parameter :: nGC_3081 = 463
  integer, parameter :: nGC_5267 = 464
  integer, parameter :: nGC_5266 = 465
  integer, parameter :: nGC_88 = 466
  integer, parameter :: nGC_3080 = 467
  integer, parameter :: nGC_3126 = 468
  integer, parameter :: nGC_3464 = 469
  integer, parameter :: nGC_80 = 470
  integer, parameter :: nGC_81 = 471
  integer, parameter :: nGC_82 = 472
  integer, parameter :: nGC_3127 = 473
  integer, parameter :: nGC_3467 = 474
  integer, parameter :: nGC_5855 = 475
  integer, parameter :: nGC_5082 = 476
  integer, parameter :: nGC_3466 = 477
  integer, parameter :: nGC_3199 = 478
  integer, parameter :: nGC_5189 = 479
  integer, parameter :: nGC_66 = 480
  integer, parameter :: nGC_67 = 481
  integer, parameter :: nGC_64 = 482
  integer, parameter :: nGC_65 = 483
  integer, parameter :: nGC_62 = 484
  integer, parameter :: nGC_3508 = 485
  integer, parameter :: nGC_60 = 486
  integer, parameter :: nGC_61 = 487
  integer, parameter :: nGC_3101 = 488
  integer, parameter :: nGC_3168 = 489
  integer, parameter :: nGC_3462 = 490
  integer, parameter :: nGC_68 = 491
  integer, parameter :: nGC_69 = 492
  integer, parameter :: nGC_3088 = 493
  integer, parameter :: nGC_3133 = 494
  integer, parameter :: nGC_3209 = 495
  integer, parameter :: nGC_6660 = 496
  integer, parameter :: nGC_6661 = 497
  integer, parameter :: nGC_6662 = 498
  integer, parameter :: nGC_5017 = 499
  integer, parameter :: nGC_112 = 500
  integer, parameter :: nGC_3559 = 501
  integer, parameter :: nGC_3558 = 502
  integer, parameter :: nGC_3229 = 503
  integer, parameter :: nGC_3555 = 504
  integer, parameter :: nGC_3226 = 505
  integer, parameter :: nGC_3225 = 506
  integer, parameter :: nGC_3224 = 507
  integer, parameter :: nGC_3223 = 508
  integer, parameter :: nGC_3222 = 509
  integer, parameter :: nGC_3221 = 510
  integer, parameter :: nGC_3552 = 511
  integer, parameter :: nGC_3388 = 512
  integer, parameter :: nGC_3389 = 513
  integer, parameter :: nGC_3380 = 514
  integer, parameter :: nGC_3381 = 515
  integer, parameter :: nGC_3382 = 516
  integer, parameter :: nGC_3383 = 517
  integer, parameter :: nGC_3385 = 518
  integer, parameter :: nGC_3386 = 519
  integer, parameter :: nGC_3387 = 520
  integer, parameter :: nGC_5768 = 521
  integer, parameter :: nGC_3311 = 522
  integer, parameter :: nGC_3259 = 523
  integer, parameter :: nGC_3316 = 524
  integer, parameter :: nGC_3315 = 525
  integer, parameter :: nGC_3252 = 526
  integer, parameter :: nGC_3253 = 527
  integer, parameter :: nGC_3251 = 528
  integer, parameter :: nGC_3256 = 529
  integer, parameter :: nGC_3257 = 530
  integer, parameter :: nGC_3254 = 531
  integer, parameter :: nGC_5767 = 532
  integer, parameter :: nGC_3556 = 533
  integer, parameter :: nGC_3551 = 534
  integer, parameter :: nGC_3550 = 535
  integer, parameter :: nGC_3429 = 536
  integer, parameter :: nGC_3428 = 537
  integer, parameter :: nGC_3553 = 538
  integer, parameter :: nGC_3421 = 539
  integer, parameter :: nGC_3420 = 540
  integer, parameter :: nGC_3423 = 541
  integer, parameter :: nGC_3422 = 542
  integer, parameter :: nGC_3425 = 543
  integer, parameter :: nGC_3424 = 544
  integer, parameter :: nGC_3427 = 545
  integer, parameter :: nGC_3426 = 546
  integer, parameter :: nGC_7339 = 547
  integer, parameter :: nGC_5003 = 548
  integer, parameter :: nGC_6244 = 549
  integer, parameter :: nGC_5009 = 550
  integer, parameter :: nGC_5614 = 551
  integer, parameter :: nGC_5615 = 552
  integer, parameter :: nGC_6080 = 553
  integer, parameter :: nGC_6081 = 554
  integer, parameter :: nGC_5948 = 555
  integer, parameter :: nGC_5949 = 556
  integer, parameter :: nGC_5946 = 557
  integer, parameter :: nGC_5947 = 558
  integer, parameter :: nGC_5342 = 559
  integer, parameter :: nGC_5228 = 560
  integer, parameter :: nGC_5340 = 561
  integer, parameter :: nGC_5341 = 562
  integer, parameter :: nGC_5227 = 563
  integer, parameter :: nGC_6443 = 564
  integer, parameter :: nGC_3384 = 565
  integer, parameter :: nGC_8412 = 566
  integer, parameter :: nGC_8415 = 567
  integer, parameter :: nGC_8416 = 568
  integer, parameter :: nGC_6620 = 569
  integer, parameter :: nGC_6621 = 570
  integer, parameter :: nGC_3602 = 571
  integer, parameter :: nGC_3268 = 572
  integer, parameter :: nGC_5535 = 573
  integer, parameter :: nGC_3348 = 574
  integer, parameter :: nGC_3346 = 575
  integer, parameter :: nGC_6050 = 576
  integer, parameter :: nGC_3313 = 577
  integer, parameter :: nGC_3312 = 578
  integer, parameter :: nGC_3258 = 579
  integer, parameter :: nGC_3310 = 580
  integer, parameter :: nGC_4938 = 581
  integer, parameter :: nGC_4939 = 582
  integer, parameter :: nGC_3317 = 583
  integer, parameter :: nGC_4934 = 584
  integer, parameter :: nGC_4935 = 585
  integer, parameter :: nGC_4933 = 586
  integer, parameter :: nGC_3506 = 587
  integer, parameter :: nGC_3507 = 588
  integer, parameter :: nGC_3504 = 589
  integer, parameter :: nGC_3505 = 590
  integer, parameter :: nGC_3502 = 591
  integer, parameter :: nGC_3503 = 592
  integer, parameter :: nGC_3500 = 593
  integer, parameter :: nGC_3501 = 594
  integer, parameter :: nGC_3465 = 595
  integer, parameter :: nGC_3314 = 596
  integer, parameter :: nGC_3461 = 597
  integer, parameter :: nGC_3460 = 598
  integer, parameter :: nGC_3463 = 599
  integer, parameter :: nGC_3509 = 600
  integer, parameter :: nGC_7305 = 601
  integer, parameter :: nGC_3250 = 602
  integer, parameter :: nGC_3318 = 603
  integer, parameter :: nGC_5168 = 604
  integer, parameter :: nGC_3263 = 605
  integer, parameter :: nGC_3262 = 606
  integer, parameter :: nGC_3261 = 607
  integer, parameter :: nGC_3260 = 608
  integer, parameter :: nGC_3267 = 609
  integer, parameter :: nGC_3266 = 610
  integer, parameter :: nGC_3265 = 611
  integer, parameter :: nGC_3264 = 612
  integer, parameter :: nGC_3269 = 613
  integer, parameter :: nGC_3255 = 614
  integer, parameter :: nGC_5308 = 615
  integer, parameter :: nGC_7934 = 616
  integer, parameter :: nGC_5306 = 617
  integer, parameter :: nGC_5307 = 618
  integer, parameter :: nGC_5305 = 619
  integer, parameter :: nGC_7933 = 620
  integer, parameter :: nGC_3328 = 621
  integer, parameter :: nGC_5838 = 622
  integer, parameter :: nGC_5839 = 623
  integer, parameter :: nGC_5836 = 624
  integer, parameter :: nGC_5837 = 625
  integer, parameter :: nGC_5831 = 626
  integer, parameter :: nGC_3554 = 627
  integer, parameter :: nGC_4883 = 628
  integer, parameter :: nGC_4881 = 629
  integer, parameter :: nGC_5278 = 630
  integer, parameter :: nGC_5279 = 631
  integer, parameter :: nGC_3486 = 632
  integer, parameter :: nGC_3485 = 633
  integer, parameter :: nGC_3484 = 634
  integer, parameter :: nGC_3483 = 635
  integer, parameter :: nGC_3482 = 636
  integer, parameter :: nGC_3481 = 637
  integer, parameter :: nGC_3480 = 638
  integer, parameter :: nGC_3489 = 639
  integer, parameter :: nGC_3488 = 640
  integer, parameter :: nGC_6307 = 641
  integer, parameter :: nGC_6306 = 642
  integer, parameter :: nGC_6305 = 643
  integer, parameter :: nGC_6304 = 644
  integer, parameter :: nGC_600 = 645
  integer, parameter :: nGC_6659 = 646
  integer, parameter :: nGC_4973 = 647
  integer, parameter :: nGC_4976 = 648
  integer, parameter :: nGC_4879 = 649
  integer, parameter :: nGC_4877 = 650
  integer, parameter :: nGC_5286 = 651
  integer, parameter :: nGC_3548 = 652
  integer, parameter :: nGC_3238 = 653
  integer, parameter :: nGC_3626 = 654
  integer, parameter :: nGC_3625 = 655
  integer, parameter :: nGC_3624 = 656
  integer, parameter :: nGC_3234 = 657
  integer, parameter :: nGC_3235 = 658
  integer, parameter :: nGC_3236 = 659
  integer, parameter :: nGC_3546 = 660
  integer, parameter :: nGC_3233 = 661
  integer, parameter :: nGC_5088 = 662
  integer, parameter :: nGC_5125 = 663
  integer, parameter :: nGC_5083 = 664
  integer, parameter :: nGC_5084 = 665
  integer, parameter :: nGC_5699 = 666
  integer, parameter :: nGC_5695 = 667
  integer, parameter :: nGC_5697 = 668
  integer, parameter :: nGC_3300 = 669
  integer, parameter :: nGC_3301 = 670
  integer, parameter :: nGC_3302 = 671
  integer, parameter :: nGC_3303 = 672
  integer, parameter :: nGC_3304 = 673
  integer, parameter :: nGC_4902 = 674
  integer, parameter :: nGC_3309 = 675
  integer, parameter :: nGC_3436 = 676
  integer, parameter :: nGC_3437 = 677
  integer, parameter :: nGC_3434 = 678
  integer, parameter :: nGC_3435 = 679
  integer, parameter :: nGC_3432 = 680
  integer, parameter :: nGC_3433 = 681
  integer, parameter :: nGC_3430 = 682
  integer, parameter :: nGC_3431 = 683
  integer, parameter :: nGC_3438 = 684
  integer, parameter :: nGC_3439 = 685
  integer, parameter :: nGC_3281 = 686
  integer, parameter :: nGC_3280 = 687
  integer, parameter :: nGC_3283 = 688
  integer, parameter :: nGC_3282 = 689
  integer, parameter :: nGC_3285 = 690
  integer, parameter :: nGC_3284 = 691
  integer, parameter :: nGC_9861 = 692
  integer, parameter :: nGC_3286 = 693
  integer, parameter :: nGC_3288 = 694
  integer, parameter :: nGC_5016 = 695
  integer, parameter :: nGC_6139 = 696
  integer, parameter :: nGC_10032 = 697
  integer, parameter :: nGC_8881 = 698
  integer, parameter :: nGC_5232 = 699
  integer, parameter :: nGC_5339 = 700
  integer, parameter :: nGC_5231 = 701
  integer, parameter :: nGC_7216 = 702
  integer, parameter :: nGC_7215 = 703
  integer, parameter :: nGC_5529 = 704
  integer, parameter :: nGC_3390 = 705
  integer, parameter :: nGC_5247 = 706
  integer, parameter :: nGC_5246 = 707
  integer, parameter :: nGC_5876 = 708
  integer, parameter :: nGC_5878 = 709
  integer, parameter :: nGC_7269 = 710
  integer, parameter :: nGC_3379 = 711
  integer, parameter :: nGC_3378 = 712
  integer, parameter :: nGC_3377 = 713
  integer, parameter :: nGC_4940 = 714
  integer, parameter :: nGC_3478 = 715
  integer, parameter :: nGC_3479 = 716
  integer, parameter :: nGC_3577 = 717
  integer, parameter :: nGC_3576 = 718
  integer, parameter :: nGC_3575 = 719
  integer, parameter :: nGC_3472 = 720
  integer, parameter :: nGC_3473 = 721
  integer, parameter :: nGC_3579 = 722
  integer, parameter :: nGC_3578 = 723
  integer, parameter :: nGC_3474 = 724
  integer, parameter :: nGC_9824 = 725
  integer, parameter :: nGC_5667 = 726
  integer, parameter :: nGC_5660 = 727
  integer, parameter :: nGC_5668 = 728
  integer, parameter :: nGC_3270 = 729
  integer, parameter :: nGC_3272 = 730
  integer, parameter :: nGC_3273 = 731
  integer, parameter :: nGC_3274 = 732
  integer, parameter :: nGC_3275 = 733
  integer, parameter :: nGC_3276 = 734
  integer, parameter :: nGC_3277 = 735
  integer, parameter :: nGC_3278 = 736
  integer, parameter :: nGC_3279 = 737
  integer, parameter :: nGC_5702 = 738
  integer, parameter :: nGC_5469 = 739
  integer, parameter :: nGC_6436 = 740
  integer, parameter :: nGC_3407 = 741
  integer, parameter :: nGC_3406 = 742
  integer, parameter :: nGC_3405 = 743
  integer, parameter :: nGC_3404 = 744
  integer, parameter :: nGC_3403 = 745
  integer, parameter :: nGC_3402 = 746
  integer, parameter :: nGC_3401 = 747
  integer, parameter :: nGC_3400 = 748
  integer, parameter :: nGC_224 = 749
  integer, parameter :: nGC_3240 = 750
  integer, parameter :: nGC_3242 = 751
  integer, parameter :: nGC_5808 = 752
  integer, parameter :: nGC_5801 = 753
  integer, parameter :: nGC_6567 = 754
  integer, parameter :: nGC_5804 = 755
  integer, parameter :: nGC_5806 = 756
  integer, parameter :: nGC_3494 = 757
  integer, parameter :: nGC_3495 = 758
  integer, parameter :: nGC_3497 = 759
  integer, parameter :: nGC_3490 = 760
  integer, parameter :: nGC_3491 = 761
  integer, parameter :: nGC_3492 = 762
  integer, parameter :: nGC_3493 = 763
  integer, parameter :: nGC_5364 = 764
  integer, parameter :: nGC_3368 = 765
  integer, parameter :: nGC_3498 = 766
  integer, parameter :: nGC_3499 = 767
  integer, parameter :: nGC_7222 = 768
  integer, parameter :: nGC_7221 = 769
  integer, parameter :: nGC_3335 = 770
  integer, parameter :: nGC_3334 = 771
  integer, parameter :: nGC_3337 = 772
  integer, parameter :: nGC_3336 = 773
  integer, parameter :: nGC_4987 = 774
  integer, parameter :: nGC_4869 = 775
  integer, parameter :: nGC_3418 = 776
  integer, parameter :: nGC_3419 = 777
  integer, parameter :: nGC_5095 = 778
  integer, parameter :: nGC_5091 = 779
  integer, parameter :: nGC_5098 = 780
  integer, parameter :: nGC_6428 = 781
  integer, parameter :: nGC_5742 = 782
  integer, parameter :: nGC_5740 = 783
  integer, parameter :: nGC_3417 = 784
  integer, parameter :: nGC_4914 = 785
  integer, parameter :: nGC_4916 = 786
  integer, parameter :: nGC_3339 = 787
  integer, parameter :: nGC_4913 = 788
  integer, parameter :: nGC_5423 = 789
  integer, parameter :: nGC_5421 = 790
  integer, parameter :: nGC_3331 = 791
  integer, parameter :: nGC_3330 = 792
  integer, parameter :: nGC_3333 = 793
  integer, parameter :: nGC_3332 = 794
  integer, parameter :: nGC_3443 = 795
  integer, parameter :: nGC_3442 = 796
  integer, parameter :: nGC_3441 = 797
  integer, parameter :: nGC_3440 = 798
  integer, parameter :: nGC_3445 = 799
  integer, parameter :: nGC_3444 = 800
  integer, parameter :: nGC_3449 = 801
  integer, parameter :: nGC_3448 = 802
  integer, parameter :: nGC_3528 = 803
  integer, parameter :: nGC_3298 = 804
  integer, parameter :: nGC_3299 = 805
  integer, parameter :: nGC_3524 = 806
  integer, parameter :: nGC_3525 = 807
  integer, parameter :: nGC_3526 = 808
  integer, parameter :: nGC_3527 = 809
  integer, parameter :: nGC_3292 = 810
  integer, parameter :: nGC_3293 = 811
  integer, parameter :: nGC_3522 = 812
  integer, parameter :: nGC_3291 = 813
  integer, parameter :: nGC_5737 = 814
  integer, parameter :: nGC_5735 = 815
  integer, parameter :: nGC_5633 = 816
  integer, parameter :: nGC_3296 = 817
  integer, parameter :: nGC_5323 = 818
  integer, parameter :: nGC_5324 = 819
  integer, parameter :: nGC_5325 = 820
  integer, parameter :: nGC_5326 = 821
  integer, parameter :: nGC_3294 = 822
  integer, parameter :: nGC_10696 = 823
  integer, parameter :: nGC_3591 = 824
  integer, parameter :: nGC_3590 = 825
  integer, parameter :: nGC_3295 = 826
  integer, parameter :: nGC_3597 = 827
  integer, parameter :: nGC_3599 = 828
  integer, parameter :: nGC_3598 = 829
  integer, parameter :: nGC_3521 = 830
  integer, parameter :: nGC_3290 = 831
  integer, parameter :: nGC_3471 = 832
  integer, parameter :: nGC_5553 = 833
  integer, parameter :: nGC_5552 = 834
  integer, parameter :: nGC_5252 = 835
  integer, parameter :: nGC_7271 = 836
  integer, parameter :: nGC_5845 = 837
  integer, parameter :: nGC_5844 = 838
  integer, parameter :: nGC_5193 = 839
  integer, parameter :: nGC_5192 = 840
  integer, parameter :: nGC_5191 = 841
  integer, parameter :: nGC_5195 = 842
  integer, parameter :: nGC_5194 = 843
  integer, parameter :: nGC_3549 = 844
  integer, parameter :: nGC_6079 = 845
  integer, parameter :: nGC_6078 = 846
  integer, parameter :: nGC_3239 = 847
  integer, parameter :: nGC_10197 = 848
  integer, parameter :: nGC_5361 = 849
  integer, parameter :: nGC_10193 = 850
  integer, parameter :: nGC_3227 = 851
  integer, parameter :: nGC_4950 = 852
  integer, parameter :: nGC_4951 = 853
  integer, parameter :: nGC_3563 = 854
  integer, parameter :: nGC_3564 = 855
  integer, parameter :: nGC_3565 = 856
  integer, parameter :: nGC_3230 = 857
  integer, parameter :: nGC_10030 = 858
  integer, parameter :: nGC_3399 = 859
  integer, parameter :: nGC_3398 = 860
  integer, parameter :: nGC_3393 = 861
  integer, parameter :: nGC_3392 = 862
  integer, parameter :: nGC_3391 = 863
  integer, parameter :: nGC_3397 = 864
  integer, parameter :: nGC_3396 = 865
  integer, parameter :: nGC_3395 = 866
  integer, parameter :: nGC_3394 = 867
  integer, parameter :: nGC_5101 = 868
  integer, parameter :: nGC_5105 = 869
  integer, parameter :: nGC_5106 = 870
  integer, parameter :: nGC_5474 = 871
  integer, parameter :: nGC_3367 = 872
  integer, parameter :: nGC_3364 = 873
  integer, parameter :: nGC_3362 = 874
  integer, parameter :: nGC_3363 = 875
  integer, parameter :: nGC_3361 = 876
  integer, parameter :: nGC_6781 = 877
  integer, parameter :: nGC_5770 = 878
  integer, parameter :: nGC_5479 = 879
  integer, parameter :: nGC_3243 = 880
  integer, parameter :: nGC_3369 = 881
  integer, parameter :: nGC_6426 = 882
  integer, parameter :: nGC_6427 = 883
  integer, parameter :: nGC_3414 = 884
  integer, parameter :: nGC_3415 = 885
  integer, parameter :: nGC_3416 = 886
  integer, parameter :: nGC_6429 = 887
  integer, parameter :: nGC_3410 = 888
  integer, parameter :: nGC_3411 = 889
  integer, parameter :: nGC_5034 = 890
  integer, parameter :: nGC_5035 = 891
  integer, parameter :: nGC_5036 = 892
  integer, parameter :: nGC_5037 = 893
  integer, parameter :: nGC_6395 = 894
  integer, parameter :: nGC_6396 = 895
  integer, parameter :: nGC_5602 = 896
  integer, parameter :: nGC_5470 = 897
  integer, parameter :: nGC_9782 = 898
  integer, parameter :: nGC_9784 = 899
  integer, parameter :: nGC_5701 = 900
  integer, parameter :: nGC_5771 = 901
  integer, parameter :: nGC_4994 = 902
  integer, parameter :: nGC_5507 = 903
  integer, parameter :: nGC_5814 = 904
  integer, parameter :: nGC_9662 = 905
  integer, parameter :: nGC_7042 = 906
  integer, parameter :: nGC_3305 = 907
  integer, parameter :: nGC_3306 = 908
  integer, parameter :: nGC_3359 = 909
  integer, parameter :: nGC_3358 = 910
  integer, parameter :: nGC_3604 = 911
  integer, parameter :: nGC_3355 = 912
  integer, parameter :: nGC_3354 = 913
  integer, parameter :: nGC_3601 = 914
  integer, parameter :: nGC_3600 = 915
  integer, parameter :: nGC_3603 = 916
  integer, parameter :: nGC_3350 = 917
  integer, parameter :: nGC_3592 = 918
  integer, parameter :: nGC_4923 = 919
  integer, parameter :: nGC_3329 = 920
  integer, parameter :: nGC_4924 = 921
  integer, parameter :: nGC_4927 = 922
  integer, parameter :: nGC_4926 = 923
  integer, parameter :: nGC_3323 = 924
  integer, parameter :: nGC_3320 = 925
  integer, parameter :: nGC_3321 = 926
  integer, parameter :: nGC_5435 = 927
  integer, parameter :: nGC_3325 = 928
  integer, parameter :: nGC_3450 = 929
  integer, parameter :: nGC_3451 = 930
  integer, parameter :: nGC_3454 = 931
  integer, parameter :: nGC_3455 = 932
  integer, parameter :: nGC_3457 = 933
  integer, parameter :: nGC_3519 = 934
  integer, parameter :: nGC_7342 = 935
  integer, parameter :: nGC_3513 = 936
  integer, parameter :: nGC_3512 = 937
  integer, parameter :: nGC_3515 = 938
  integer, parameter :: nGC_3514 = 939
  integer, parameter :: nGC_3516 = 940
  integer, parameter :: nGC_5176 = 941
  integer, parameter :: nGC_5178 = 942
  integer, parameter :: nGC_6118 = 943
  integer, parameter :: nGC_5073 = 944
  integer, parameter :: nGC_3213 = 945
  integer, parameter :: nGC_5643 = 946
  integer, parameter :: nGC_3218 = 947
  integer, parameter :: nGC_6552 = 948
  integer, parameter :: nGC_6553 = 949
  integer, parameter :: nGC_6554 = 950
  integer, parameter :: nGC_5313 = 951
  integer, parameter :: nGC_3588 = 952
  integer, parameter :: nGC_3582 = 953
  integer, parameter :: nGC_3580 = 954
  integer, parameter :: nGC_3287 = 955
  integer, parameter :: nGC_5544 = 956
  integer, parameter :: nGC_5545 = 957
  integer, parameter :: nGC_4890 = 958
  integer, parameter :: nGC_4893 = 959
  integer, parameter :: nGC_5857 = 960
  integer, parameter :: nGC_5854 = 961
  integer, parameter :: nGC_3307 = 962
  integer, parameter :: nGC_4962 = 963
  integer, parameter :: nGC_4969 = 964
  integer, parameter :: nGC_3228 = 965
  integer, parameter :: nGC_5800 = 966
  integer, parameter :: nGC_5802 = 967
  integer, parameter :: nGC_5136 = 968
  integer, parameter :: nGC_5130 = 969
  integer, parameter :: nGC_5132 = 970
  integer, parameter :: nGC_5139 = 971
  integer, parameter :: nGC_5365 = 972
  integer, parameter :: nGC_5680 = 973
  integer, parameter :: nGC_5769 = 974
  integer, parameter :: nGC_5445 = 975
  integer, parameter :: nGC_5446 = 976
  integer, parameter :: nGC_5282 = 977
  integer, parameter :: nGC_3319 = 978
  integer, parameter :: nGC_4874 = 979
  integer, parameter :: nGC_10012 = 980
  integer, parameter :: nGC_6243 = 981
  integer, parameter :: nGC_3373 = 982
  integer, parameter :: nGC_3231 = 983
  integer, parameter :: nGC_3232 = 984
  integer, parameter :: nGC_5122 = 985
  integer, parameter :: nGC_5126 = 986
  integer, parameter :: nGC_5892 = 987
  integer, parameter :: nGC_5000 = 988
  integer, parameter :: nGC_5420 = 989
  integer, parameter :: nGC_4989 = 990
  integer, parameter :: nGC_4988 = 991
  integer, parameter :: nGC_4983 = 992
  integer, parameter :: nGC_4955 = 993
  integer, parameter :: nGC_4900 = 994
  integer, parameter :: nGC_3308 = 995
  integer, parameter :: nGC_5619 = 996
  integer, parameter :: nGC_5092 = 997
  integer, parameter :: nGC_6717 = 998
  integer, parameter :: nGC_5163 = 999
  integer, parameter :: nGC_3289 = 1000
  integer, parameter :: nGC_6444 = 1001
  integer, parameter :: nGC_6445 = 1002
  integer, parameter :: nGC_6568 = 1003
  integer, parameter :: nGC_5018 = 1004
  integer, parameter :: nGC_5019 = 1005
  integer, parameter :: nGC_9575 = 1006
  integer, parameter :: nGC_10094 = 1007
  integer, parameter :: nGC_5422 = 1008
  integer, parameter :: nGC_6083 = 1009
  integer, parameter :: nGC_6082 = 1010
  integer, parameter :: nGC_3356 = 1011
  integer, parameter :: nGC_8888 = 1012
  integer, parameter :: nGC_8889 = 1013
  integer, parameter :: nGC_3352 = 1014
  integer, parameter :: nGC_3351 = 1015
  integer, parameter :: nGC_7298 = 1016
  integer, parameter :: nGC_7299 = 1017
  integer, parameter :: nGC_5538 = 1018
  integer, parameter :: nGC_5142 = 1019
  integer, parameter :: nGC_5062 = 1020
  integer, parameter :: nGC_4865 = 1021
  integer, parameter :: nGC_5730 = 1022
  integer, parameter :: nGC_3327 = 1023
  integer, parameter :: nGC_3349 = 1024
  integer, parameter :: nGC_3344 = 1025
  integer, parameter :: nGC_3345 = 1026
  integer, parameter :: nGC_3347 = 1027
  integer, parameter :: nGC_3341 = 1028
  integer, parameter :: nGC_3342 = 1029
  integer, parameter :: nGC_3343 = 1030
  integer, parameter :: nGC_5480 = 1031
  integer, parameter :: nGC_5177 = 1032
  integer, parameter :: nGC_5248 = 1033
  integer, parameter :: nGC_6119 = 1034
  integer, parameter :: nGC_5871 = 1035
  integer, parameter :: nGC_5872 = 1036
  integer, parameter :: nGC_9757 = 1037
  integer, parameter :: nGC_4932 = 1038
  integer, parameter :: nGC_3371 = 1039
  integer, parameter :: nGC_3370 = 1040
  integer, parameter :: nGC_6886 = 1041
  integer, parameter :: nGC_3372 = 1042
  integer, parameter :: nGC_3375 = 1043
  integer, parameter :: nGC_3374 = 1044
  integer, parameter :: nGC_5314 = 1045
  integer, parameter :: nGC_5397 = 1046
  integer, parameter :: nGC_5396 = 1047
  integer, parameter :: nGC_5166 = 1048
  integer, parameter :: nGC_5167 = 1049
  integer, parameter :: nGC_6764 = 1050
  integer, parameter :: nGC_4941 = 1051
  integer, parameter :: nGC_4946 = 1052
  integer, parameter :: nGC_9901 = 1053
  integer, parameter :: nGC_5309 = 1054
  integer, parameter :: nGC_5064 = 1055
  integer, parameter :: nGC_6885 = 1056
  integer, parameter :: nGC_5704 = 1057
  integer, parameter :: nGC_5856 = 1058
  integer, parameter :: nGC_5703 = 1059
  integer, parameter :: nGC_5468 = 1060
  integer, parameter :: nGC_4884 = 1061
  integer, parameter :: nGC_4885 = 1062
  integer, parameter :: nGC_5951 = 1063
  integer, parameter :: nGC_10580 = 1064
  integer, parameter :: nGC_5570 = 1065
  integer, parameter :: nGC_5023 = 1066
  integer, parameter :: nGC_6533 = 1067
  integer, parameter :: nGC_6143 = 1068
  integer, parameter :: nGC_6144 = 1069
  integer, parameter :: nGC_5539 = 1070
  integer, parameter :: nGC_5555 = 1071
  integer, parameter :: nGC_8893 = 1072
  integer, parameter :: nGC_8892 = 1073
  integer, parameter :: nGC_5063 = 1074
  integer, parameter :: nGC_5571 = 1075
  integer, parameter :: nGC_6765 = 1076
  integer, parameter :: nGC_5950 = 1077
  integer, parameter :: nGC_4886 = 1078
  integer, parameter :: nGC_4887 = 1079
  integer, parameter :: nGC_5131 = 1080
  integer, parameter :: nGC_5471 = 1081
  integer, parameter :: nGC_4901 = 1082
  integer, parameter :: nGC_5554 = 1083
  integer, parameter :: nGC_4943 = 1084
  integer, parameter :: nGC_5233 = 1085
  integer, parameter :: nGC_5705 = 1086
  integer, parameter :: nGC_4942 = 1087
  integer, parameter :: nGC_5234 = 1088
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
