!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3139) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3138) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3131) = cima*ee*sw/(3d0*cw)
    coupl(nGC_3606) = -cima*dMH2
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_3618) = -cima*dMS_QED2
    coupl(nGC_3619) = -cima*dMS_QCD2
    coupl(nGC_3612) = -cima*dMU_QCD2
    coupl(nGC_3613) = -cima*dMC_QED2
    coupl(nGC_3610) = -cima*dMTA
    coupl(nGC_3611) = -cima*dMU_QED2
    coupl(nGC_3616) = -cima*dMD_QED2
    coupl(nGC_3617) = -cima*dMD_QCD2
    coupl(nGC_3614) = -cima*dMC_QCD2
    coupl(nGC_3615) = -cima*dMT
    coupl(nGC_3186) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3184) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_3185) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_3164) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3165) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3160) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3161) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3162) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3163) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_5264) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_3100) = -ee/(2d0*sw**2d0)
    coupl(nGC_3130) = -cima*ee*sw/cw**2d0
    coupl(nGC_3104) = cima*cw*ee/sw
    coupl(nGC_3137) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3136) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3135) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3134) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_4875) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_3623) = cima*dMW2
    coupl(nGC_3622) = cima*dMZ2
    coupl(nGC_3621) = -cima*dMB_QCD2
    coupl(nGC_3620) = -cima*dMB_QED2
    coupl(nGC_3541) = cima*dyt_QED1
    coupl(nGC_5121) = coupl(nGC_23)*dZbL_QCD2/2d0
    coupl(nGC_5129) = coupl(nGC_29)*dZAZ
    coupl(nGC_7341) = coupl(nGC_MI)*dZtR
    coupl(nGC_4982) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_3129) = cima*ee/cw
    coupl(nGC_3539) = -cima*dys_QED1
    coupl(nGC_3537) = cima*dyc_QED3
    coupl(nGC_3536) = cima*dyc_QED1
    coupl(nGC_3122) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_4980) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_3533) = cima*dyup_QED1
    coupl(nGC_3532) = cima*dyup_QED1_QCD2
    coupl(nGC_3531) = -cima*dydo_QED3
    coupl(nGC_3530) = -cima*dydo_QED1
    coupl(nGC_5625) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_5626) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_5629) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_5628) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_3157) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_7213) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_7214) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_7219) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_3534) = cima*dyup_QED3
    coupl(nGC_3180) = -cima*ee**2d0*vev/sw
    coupl(nGC_6619) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_6618) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_6615) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_6614) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_6617) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_6616) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_5875) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_5877) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_3167) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_7268) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_3376) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5099) = coupl(nGC_1)*dZbR_QED2
    coupl(nGC_5799) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5798) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6546) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_7296) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_3573) = -cima*dym_QED1
    coupl(nGC_3570) = coupl(nGC_3183)*dyb_QED1
    coupl(nGC_3574) = -cima*dytau_QED1
    coupl(nGC_3476) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3477) = coupl(nGC_3079)*dZgs_QCD2
    coupl(nGC_3475) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(192d0*pi**2d0*Nc** &
                      2d0)
    coupl(nGC_5052) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3477)
    coupl(nGC_5053) = -coupl(nGC_5052)
    coupl(nGC_5058) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_5059) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_5097) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_5119) = coupl(nGC_23)*dZbL_QED2/2d0
    coupl(nGC_5113) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5112) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_3271) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5463) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_4896) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_3151) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3150) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_6437) = coupl(nGC_MI)*dZA
    coupl(nGC_3152) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3155) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3154) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3409) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3156) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_6141) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_6140) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_6142) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_3087) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3085) = cMW*cima*ee
    coupl(nGC_3084) = cima*ee/(2d0*cMW)
    coupl(nGC_3089) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3171) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_3076) = -ee**2d0/cw
    coupl(nGC_3496) = -cima*dlam_QED2
    coupl(nGC_3179) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_7220) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_3569) = coupl(nGC_3183)*dyb_QED1_QCD2
    coupl(nGC_5500) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_5277) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_4986) = coupl(nGC_29)*dZZA
    coupl(nGC_5512) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_5510) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_4862) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_4866) = coupl(nGC_MI)*dZZ
    coupl(nGC_5096) = coupl(nGC_1)*dZbL_QED2
    coupl(nGC_3447) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)**2d0 &
                       - 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_3446) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)**2d0  &
                       + 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4915) = coupl(nGC_3537) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_3338) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3115) = 2d0*cima*ee**2d0/sw
    coupl(nGC_3114) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3117) = -ee/(4d0*cMW*sw)
    coupl(nGC_3116) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3111) = ee**2d0/sw
    coupl(nGC_3110) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3113) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_3112) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3119) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3118) = -cMW*ee/(2d0*sw)
    coupl(nGC_3529) = -cima*dydo_QED1_QCD2
    coupl(nGC_3523) = coupl(nGC_3134)*dZee + coupl(nGC_3135)*dsw_ + coupl(     &
                      nGC_3136)*dcw_
    coupl(nGC_7458) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_7459) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5061) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5060) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_3159) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_5637) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_3572) = -cima*dye_QED1
    coupl(nGC_3571) = coupl(nGC_3183)*dyb_QED3
    coupl(nGC_6547) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_3297) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3069) = cima*ee/3d0
    coupl(nGC_3068) = 2d0*cima*ee**2d0
    coupl(nGC_3593) = coupl(nGC_3189)*dyc_QED1_QCD2
    coupl(nGC_3595) = coupl(nGC_3189)*dyc_QED3
    coupl(nGC_3594) = coupl(nGC_3189)*dyc_QED1
    coupl(nGC_7338) = coupl(nGC_MI)*dZtL
    coupl(nGC_3520) = coupl(nGC_3069)*dZee
    coupl(nGC_3470) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1432)**2d0 + &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1432)*sq2**2d0 + 30d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_3487) = coupl(nGC_3116)*dsw_ + coupl(nGC_3117)*dMW2 + coupl(     &
                      nGC_3118)*dZee
    coupl(nGC_5395) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_5394) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_4870) = -coupl(nGC_4866)
    coupl(nGC_5391) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_5390) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_8053) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5502) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7270) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_8054) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_5843) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_5842) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_6077) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_6076) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_3120) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3542) = -cima*dyb_QED1_QCD2
    coupl(nGC_7005) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3477)
    coupl(nGC_3132) = cima*ee/(3d0*cw)
    coupl(nGC_3560) = coupl(nGC_3188)*dyb_QED1_QCD2
    coupl(nGC_3561) = coupl(nGC_3188)*dyb_QED1
    coupl(nGC_3562) = coupl(nGC_3188)*dyb_QED3
    coupl(nGC_3566) = coupl(nGC_3202)*dys_QED1_QCD2
    coupl(nGC_3567) = coupl(nGC_3202)*dys_QED1
    coupl(nGC_3568) = coupl(nGC_3202)*dys_QED3
    coupl(nGC_3547) = coupl(nGC_3194)*dydo_QED3
    coupl(nGC_3544) = -cima*dyb_QED3
    coupl(nGC_3545) = coupl(nGC_3194)*dydo_QED1_QCD2
    coupl(nGC_5108) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_5100) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_5104) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_3520)
    coupl(nGC_5107) = coupl(nGC_2)*dZuL_QED2
    coupl(nGC_3366) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_3365) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_3249) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3248) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 10d0*coupl(  &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_3360) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3245) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 10d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3244) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3246) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3241) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_3247) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3148) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3149) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3146) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3147) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3144) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3145) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3142) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3143) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3140) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3141) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_7304) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_8878) = coupl(nGC_I)*dZH
    coupl(nGC_7301) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_7302) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_3090) = -cima*ee/(2d0*sw)
    coupl(nGC_3091) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3092) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3093) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3094) = cima*ee/(2d0*sw)
    coupl(nGC_3095) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3096) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3097) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_3098) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3099) = ee/(2d0*sw)
    coupl(nGC_3125) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_5077) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_3340) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3086) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_5351) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_3220) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_220)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_250)**2d0 + 3d0*cMW**2d0*cima&
                      *coupl(nGC_3)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*cMZ&
                      **2d0*cima*coupl(nGC_25)**2d0 + 3d0*cMZ**2d0*cima*coupl( &
                      nGC_250)**2d0 - 2d0*cMZ**2d0*coupl(nGC_254))/(32d0*pi**  &
                      2d0)
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_3237) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5504) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_5505) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_5506) = coupl(nGC_3620) + coupl(nGC_5502)
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_5501) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_3166) = -cima*ee**2d0*vev/cw
    coupl(nGC_5503) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5810) = coupl(nGC_34)*dZbR_QCD2
    coupl(nGC_7041) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_3557) = coupl(nGC_3182)*dyb_QED1_QCD2
    coupl(nGC_3609) = -cima*dMM
    coupl(nGC_3608) = -cima*dME
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
