!******************************************************************************!
!                                                                              !
!    ctparameter20.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter20.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter20
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter20()
  if (dZbR_QED2_scheme .eq. 2) then
    dZbR_QED2 = (Ten0*coupl(nGC_1)**2d0 + Ten158*coupl(nGC_53)**2d0 + Ten159*  &
                coupl(nGC_53)**2d0 + Ten54*(-2d0*coupl(nGC_34)**2d0 - coupl(   &
                nGC_54)*coupl(nGC_56)) - Ten55*coupl(nGC_55)**2d0 - coupl(     &
                nGC_34)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbR_QED2 = cone*real(dZbR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter20
end module ctparameter20
