!******************************************************************************!
!                                                                              !
!    ctparameter57.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter57.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter57
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter57()
  if (dZuL_QED2_scheme .eq. 2) then
    dZuL_QED2 = (Ten0*coupl(nGC_2)**2d0 + Ten52*(2d0*coupl(nGC_23)**2d0 + coupl&
                (nGC_61)**2d0) + Ten53*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_61  &
                )**2d0) + Ten54*(-2d0*coupl(nGC_39)**2d0 - coupl(nGC_86)*coupl(&
                nGC_88)) - Ten55*coupl(nGC_87)**2d0 + pi**2d0*(-coupl(nGC_23)**&
                2d0/pi**2d0 - coupl(nGC_39)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter57
end module ctparameter57
