!******************************************************************************!
!                                                                              !
!    ctparameter67.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter67.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter67
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter67()
  if (dZdR_QED2_scheme .eq. 0) then
    dZdR_QED2 = (2d0*Ten56*coupl(nGC_1)**2d0 + Ten57*(2d0*coupl(nGC_34)**2d0 + &
                coupl(nGC_62)*coupl(nGC_64)) + Ten58*coupl(nGC_61)**2d0 - Ten59&
                *coupl(nGC_63)**2d0 + 2d0*Ten60*coupl(nGC_1)**2d0 + Ten61*(2d0*&
                coupl(nGC_34)**2d0 + coupl(nGC_62)*coupl(nGC_64)) + Ten62*coupl&
                (nGC_61)**2d0 + 2d0*Ten64*cMD**2d0*coupl(nGC_63)**2d0 - 4d0*   &
                Ten65*cMD**2d0*coupl(nGC_1)**2d0 + Ten66*cMD**2d0*(2d0*coupl(  &
                nGC_34)**2d0 - 8d0*coupl(nGC_34)*coupl(nGC_38) + 2d0*coupl(    &
                nGC_38)**2d0 + coupl(nGC_62)**2d0 + 2d0*coupl(nGC_62)*coupl(   &
                nGC_64) + coupl(nGC_64)**2d0) + Ten67*cMD*(2d0*cMD*coupl(nGC_23&
                )**2d0 + cMD*coupl(nGC_61)**2d0 + cMD*coupl(nGC_85)**2d0 + 2d0*&
                cMU*coupl(nGC_61)*coupl(nGC_85)) - 2d0*Ten68*cMD**2d0*coupl(   &
                nGC_63)**2d0 + 4d0*Ten69*cMD**2d0*coupl(nGC_1)**2d0 + 2d0*Ten70&
                *cMD**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0 + coupl(    &
                nGC_62)*coupl(nGC_64)) + Ten71*cMD**2d0*(2d0*coupl(nGC_23)**2d0&
                 + coupl(nGC_61)**2d0 + coupl(nGC_85)**2d0) + pi**2d0*(-coupl( &
                nGC_1)**2d0/pi**2d0 - coupl(nGC_34)**2d0/pi**2d0))/(16d0*pi**  &
                2d0)
    dZdR_QED2 = cone*real(dZdR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter67
end module ctparameter67
