!******************************************************************************!
!                                                                              !
!    tcVVVV.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVVV.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29
  contains
    subroutine treeVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, &
    wout, last, VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
      complex(kind=dp), intent(in), dimension(0:3) :: w3
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVVV0)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,3)*Metric(2,4)*c1
!       Metric(1,2)*Metric(3,4)*c2
        if (last) VB_last = .true.
        wout = co(0)*w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)*w3&
               (3)) + co(1)*w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) +  &
               w1(3)*w3(3)) + co(2)*w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)* &
               w2(2) + w1(3)*w2(3))
      case(VVVV1)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,3)*Metric(2,4)*c1
!       Metric(1,2)*Metric(3,4)*c2
!       Epsilon(1,2,3,4)*c3
        if (last) VB_last = .true.
        x0 = w2(1)*w3(1)
        x1 = co(0)*(-w2(0)*w3(0) + w2(2)*w3(2) + w2(3)*w3(3) + x0)
        x2 = w1(1)*w3(1)
        x3 = w1(2)*w3(2)
        x4 = w1(3)*w3(3)
        x5 = w1(0)*w3(0)
        x6 = co(1)*(x2 + x3 + x4 - x5)
        x7 = w1(1)*w2(1)
        x8 = co(2)*w3(0)
        x9 = w1(2)*w2(2)
        x10 = w1(3)*w2(3)
        x11 = w1(1)*w2(3)
        x12 = co(3)*w3(2)
        x13 = w2(1)*w3(3)
        x14 = co(3)*w1(2)
        x15 = co(3)*w2(2)*w3(1)
        x16 = co(3)*w2(2)*w3(3)
        x17 = w2(3)*w3(1)
        x18 = w1(3)*w2(1)
        x19 = co(2)*w1(2)*w2(2)
        x20 = co(2)*w1(3)*w2(3)
        x21 = co(3)*w1(0)*w3(2)
        x22 = co(3)*w1(2)*w2(0)
        x23 = co(3)*w2(2)*w3(0)
        x24 = co(2)*w1(0)*w2(0)
        x25 = co(3)*w1(2)*w3(0)
        x26 = w1(3)*w2(0)
        x27 = w1(1)*w2(0)
        x28 = co(1)*w2(2)
        x29 = co(1)*w2(3)
        wout(0) = -co(2)*w2(0)*x5 + w1(0)*x1 - w1(1)*x16 + w1(3)*x15 + w2(0)*x6&
                   + x10*x8 + x11*x12 - x12*x18 + x13*x14 - x14*x17 + x7*x8 +  &
                  x8*x9
        wout(1) = co(2)*w1(1)*x0 - w1(0)*x16 + w1(1)*x1 + w1(3)*x23 + w2(1)*x6 &
                   + w2(3)*x21 - w2(3)*x25 + w3(1)*x19 + w3(1)*x20 - w3(1)*x24 &
                   + w3(3)*x22 - x12*x26
        wout(2) = co(1)*w3(2)*x9 + co(2)*w3(2)*x7 + co(3)*(w1(0)*x13 - w1(0)*  &
                  x17 + w3(0)*x11 - w3(0)*x18 + w3(1)*x26 - w3(3)*x27) + w1(2)*&
                  x1 + w3(2)*x19 + w3(2)*x20 - w3(2)*x24 + x2*x28 + x28*x4 -   &
                  x28*x5
        wout(3) = co(1)*w3(3)*x10 + co(2)*w3(3)*(-w1(0)*w2(0) + x10 + x7 + x9  &
                  ) + w1(0)*x15 - w1(1)*x23 + w1(3)*x1 - w2(1)*x21 + w2(1)*x25 &
                   - w3(1)*x22 + x12*x27 + x2*x29 + x29*x3 - x29*x5
      end select 
    end subroutine treeVVVV
end module tcVVVV
